import type { PajamasIcon } from "@/types/icons.ts"
import { GIT_URL } from "astro:env/client"
import * as m from "@/paraglide/messages"

export interface MyLink {
  title: string
  url: string
  message?: string
  icon?: PajamasIcon
}

export default [
  {
    title: "Codeberg",
    url: "https://codeberg.org/martials",
    message: m.forMirrors(),
    icon: "pajamas:git",
  },
  {
    title: "Gitea",
    url: `${GIT_URL}/martials`,
    message: m.forPersonalProjects(),
    icon: "pajamas:gitea",
  },
  {
    title: "GitHub",
    url: "https://github.com/emberal",
    icon: "pajamas:github",
  },
  {
    title: "LinkedIn",
    url: "https://www.linkedin.com/in/martin-b-2a69391a3/",
    icon: "pajamas:linkedin",
  },
  {
    title: "Mastodon (Snabelen.no)",
    url: "https://snabelen.no/@Martials",
    icon: "pajamas:mastodon",
  },
  {
    title: "Pixelfed",
    url: "https://pixelfed.social/i/web/profile/261454857934868480",
  },
  {
    title: "Steam",
    url: "https://steamcommunity.com/id/martials/",
  },
  {
    title: "Trakt.tv",
    url: "https://trakt.tv/users/martials",
  },
] as MyLink[]
